APP=hw5_mpi

CC=mpicc
LINKER=mpicc

ODIR = ./
IDIR = ./

VPATH = ./


#ACC=-acc -ta=nvidia 
CFLAGS= -I../perm-je-0.9.1/include -O3 -funroll-loops -fopenmp

LDLIBS += -L../perm-je-0.9.1/lib -ljemalloc -ldl -lcr
CXXFLAGS += -I../perm-je-0.9.1/include

LIBS=-lm

_DEPS = 
DEPS = $(patsubst %,$(IDIR)/%,$(_DEPS))

_OBJ = hw5_mpi.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))


$(ODIR)/%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

$(APP): $(OBJ)
	$(LINKER) -o $@ $^ $(CFLAGS) $(LIBS) $(LDLIBS)

.PHONY: clean

clean:
	rm -f $(ODIR)/*.o *~ core $(INCDIR)/*~ $(APP)
